$(window).on('load', function () {
  $('#util_print a').unicms_set_print_button();
  $('#popup_close a').popup_close_wind();
  $('.inline,.Inline').popup_open_wind();
  if (navigator.userAgent.indexOf("Chrome-Lighthouse") == -1) {
    $('body').before('<link rel="preconnect" href="https://fonts.gstatic.com"><link href="https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@400;500;700&display=swap" rel="stylesheet"><link rel="preconnect" href="https://fonts.gstatic.com">');
    $("#wrapper").addClass('in');

    $("#page_top a").click(function () {
      $('html,body').animate({ scrollTop: $($(this).attr("href")).offset().top }, 500, 'swing');
      return false;
    })
    $('a').each(function () {
      var imgExist = $(this).find('img').length;
      if (imgExist != 0) {
        $(this).addClass('not_icon');
      }
    });
    $(window).on('scroll', function () {
      var startPos = 0,
        winScrollTop = 0;
      winScrollTop = $(this).scrollTop();
      startPos = winScrollTop;
      if ($(this).scrollTop() > 100) {
        $("#page_top").addClass('view');
      } else {
        $("#page_top").removeClass('view');
      }
      var t = $('#footer').offset().top;
      var p = t - $(window).height();
      if ($(window).scrollTop() > p) {
        $('#page_top').addClass('move');
      } else {
        $('#page_top').removeClass('move');
      }
    });
    $('a[href^="#"]').on('click', function () {
      var href = $(this).attr("href");
      var headerH = $('#header').height();
      var target = $(href == "#" || href == "" ? 'html' : href);
      var position = target.offset().top - headerH;
      $("html, body").animate({ scrollTop: position }, 550, "swing");
      return false;
    });
    $(".modal,.modal_close,.close_txt").on('click', function () {
      $('.modal').fadeOut();
      $('body').removeClass('modal_open');
    });
    $(".modal_cont").on("click", function (e) {
      event.stopPropagation();
    });
    //検索ボックス
    $('#header #gnavi ul li.search').on('click', function () {
      $(this).toggleClass('open');
      $('body').toggleClass('search_open');
      $("#header_search").slideToggle().toggleClass('open');
      //非表示用
      if ($('#header #gnavi ul li.menu').hasClass('open') || $('#header #gnavi ul li.access').hasClass('open')) {
        // 表示されている場合の処理
        $('#header #gnavi ul li.menu').removeClass('open');
        $('#header #gnavi ul li.menu .hover_menu').slideUp(600);
        $('#header #gnavi ul li.access').removeClass('open');
        $('#header #gnavi ul li.access .hover_menu').slideUp(600);
        $('body').toggleClass('search_open');
      }
      if ($('#header_menu').css('display') == 'block') {
        // 表示されている場合の処理
        $("#header_menu").slideUp(600);
        $('body').removeClass('menu_open');
      }

      if ($('input[name="search"]').is(':visible')) {
        $('input[name="search"]').focus();
      }
      return false;
    });

    //対象者別メニュー spスライドメニュー
    $('#header #gnavi ul li.menu > span.trigger').on('click', function () {
      $(this).parent('li').toggleClass('open');
      $(this).parent().find('.hover_menu').stop().slideToggle(600);
      $('body').toggleClass('search_open');
      //非表示用
      if ($('#header #gnavi ul li.access').hasClass('open') || $('#header #gnavi ul li.search').hasClass('open')) {
        // 表示されている場合の処理
        $('#header #gnavi ul li.access').removeClass('open');
        $('#header #gnavi ul li.access .hover_menu').slideUp(600);
        $('#header #gnavi ul li.search').removeClass('open');
        $("#header_search").slideUp(600);
        $('body').toggleClass('search_open');
      }
      if ($('#header_menu').css('display') == 'block') {
        // 表示されている場合の処理
        $("#header_menu").slideUp(600);
        $('body').removeClass('menu_open');
      }
      return false;
    });

    //アクセス spスライドメニュー
    $('#header #gnavi ul li.access > span.trigger').on('click', function () {
      $(this).parent('li').toggleClass('open');
      $(this).parent().find('.hover_menu').stop().slideToggle(600);
      $('body').toggleClass('search_open');
      //非表示用
      if ($('#header #gnavi ul li.menu').hasClass('open') || $('#header #gnavi ul li.search').hasClass('open')) {
        // 表示されている場合の処理
        $('#header #gnavi ul li.menu').removeClass('open');
        $('#header #gnavi ul li.menu .hover_menu').slideUp(600);
        $('#header #gnavi ul li.search').removeClass('open');
        $("#header_search").slideUp(600);
        $('body').toggleClass('search_open');
      }
      if ($('#header_menu').css('display') == 'block') {
        // 表示されている場合の処理
        $("#header_menu").slideUp(600);
        $('body').removeClass('menu_open');
      }
      return false;
    });

    //ヘッダーメニュー
    $('#header #menu, #header_menu').on('click', function () {
      $("#header_menu").slideToggle();
      $('body').toggleClass('menu_open');
      //非表示用
      if ($('#header #gnavi ul li.menu').hasClass('open') || $('#header #gnavi ul li.access').hasClass('open') || $('#header #gnavi ul li.search').hasClass('open')) {
        // 表示されている場合の処理
        $('#header #gnavi ul li.menu').removeClass('open');
        $('#header #gnavi ul li.menu .hover_menu').slideUp(600);
        $('#header #gnavi ul li.access').removeClass('open');
        $('#header #gnavi ul li.access .hover_menu').slideUp(600);
        $('#header #gnavi ul li.search').removeClass('open');
        $("#header_search").slideUp(600);
        $('body').toggleClass('search_open');
      }
      //return false;
    });

    $('#header #gnavi li.menu,#header #gnavi li.access,#header #gnavi li.lang').mouseover(function () {
      $('body').addClass('visitor_open');
    }).mouseout(function () {
      $('body').removeClass('visitor_open');
    });
    $('#header_menu ul li').mouseover(function () {
      $(this).find('> .wrap + ul').stop().addClass('slide')
    }).mouseout(function () {
      $(this).find('> .wrap + ul').stop().removeClass('slide')
    });
    //スマホメニュー
    $('#header_menu ul li span').on('click', function () {
      $(this).closest('ul').toggleClass('open')
      $(this).toggleClass('open').closest('.wrap').next('ul').stop().toggleClass('active');
      //$(this).toggleClass('open').closest('.wrap').next('ul').stop().slideToggle();
      return false;
    });
    $('#header_menu .sp_navi > ul li.lang').on('click', function () {
      $(this).toggleClass('open').closest('ul').next('#sp_lang_navi').stop().slideToggle();
      $('#header_menu .navi').animate({ 'margin-top': -100 + 'px' });
      setTimeout(function () {
        $('#header_menu .navi').animate({ 'padding-top': 100 + 'px' });
      }, 3000);
      return false;
    });

    $('.navi_set.aco .arrow').on('click', function () {
      $(this).closest('.navi_set').toggleClass('open').find('.aco_cont').slideToggle();
      $(this).closest('.navi_set').siblings().removeClass('open').find('.aco_cont').slideUp();
      return false;
    });

  }
  //モジュールタブ
  $(".tab_head ul li a").on('click', function (event) {
    event.preventDefault();
    var tabID = $(this).data('tab');
    $(this).closest('.tab_head').find('ul li').removeClass('current');
    $(this).closest('li').addClass('current');
    $(this).closest('.tab_head').next('.main_d').children('.tab_area').find('.tab_cont').hide().removeClass('current');
    $(this).closest('.tab_head').next('.tab_area').find('.tab_cont').hide().removeClass('current');

    $(this).closest('.tab_head').next('.main_d').children('.tab_area').find("#" + tabID).fadeIn().addClass('current');
    $(this).closest('.tab_head').next('.tab_area').find("#" + tabID).fadeIn().addClass('current');
    return false;
  });
  //faq
  $(".faq_set dt").on("click", function () {
    $(this).toggleClass('open').next('dd').slideToggle();
  });

  //高さ揃え
  var naviLen = $('.contents_navi').length;
  if (naviLen >= 1) {
    $('.navi_set > a').matchHeight();
    $('.special .navi_set .txt').matchHeight();
  }

  if (document.URL.match('#tab')) {
    var tabHash = location.hash;
    var tabNo = tabHash.replace('#tab_', '');
    var tabID = $('.tab_head li').eq(tabNo).find('a').data('tab');
    $('.tab_head li').eq(tabNo).addClass('current').siblings().removeClass('current');
    $('.tab_area #' + tabID).fadeIn().siblings().hide();
  }

  var tabHash = location.hash;
  if (tabHash) {
    var tabNum = $('.tab_head').length;
    if (tabNum > 0) {
      $('.tab_head li').each(function () {
        var tabID = $(this).find('a').data('tab');
        if (tabHash == '#' + tabID) {
          $(this).parents('.tab_head').find('li').removeClass('current');
          $(this).addClass('current');
          $(this).parents('.tab_head').next('.tab_area').find('.tab_cont').hide();
          $(this).parents('.tab_head').next('.tab_area').find(tabHash).fadeIn();
        }
      })
    }
    var href = tabHash;
    var headerH = $('#header').height();
    var target = $(href == "#" || href == "" ? 'html' : href);
    var position = target.offset().top - headerH;
    $("html, body").animate({ scrollTop: position }, 550, "swing");
    return false;
  }
});

$(function () {
  var naviLen = $('.pickup').length;
  if (naviLen >= 1) {
    $('.pickup .pickup_set:not(:first-child) a').matchHeight();
    $(window).on('load resize', function () {
      var boxH1 = $('.pickup .pickup_set:nth-child(2) a').height();
      var boxH2 = $('.pickup .pickup_set:nth-child(4) a').height();
      $('.pickup .pickup_set:first-child a').css({ 'min-height': ((boxH1 + boxH2) + 34) + 'px' });
    });
  }
});



$(function () {
  $('a[href$="pdf"], a[href$="doc"], a[href$="docx"], a[href$="ppt"], a[href$="pptx"], a[href$="xls"], a[href$="xlsx"]').each(function () {
    var prmtime = $(this).attr('href');
    prmtime = prmtime + '?' + $.now();
    $(this).attr('href', prmtime);
  });
});
/*================================================================================================*/
/* @繝励Μ繝ｳ繝医�繧ｿ繝ｳ */
/*================================================================================================*/
$.fn.unicms_set_print_button = function () {
  this.each(function (n) {
    $(this)
      .on('click', function () {
        if ($(this).attr('mode') == '1') {
          $('body').removeClass('contents_print');
        }
        else {
          $('body').addClass('contents_print');
        }
        window.print();
      })
      .attr('mode', n);
  });

  return this;
}
/*================================================================================================*/
/* @髢九￥�医し繧､繧ｺ謖�ｮ夲ｼ� */
/*================================================================================================*/
$.fn.popup_open_wind = function () {
  this.each(function (n) {
    $(this)
      .on('click', function () {
        var w = 980;
        var h = 600;
        var s = 'no';
        if ($(this).attr("id")) {
          var tmp = $(this).attr('id').split('|');
          if (tmp[0]) {
            w = tmp[0];
          }
          if (tmp[1]) {
            h = tmp[1];
          }
        }
        if (h > 600) {
          s = '1';
        }
        window.open(this.href, "_blank", "width=" + w + ",height=" + h + ",resizable=no,scrollbars=" + s + ",location=no");
        return false;
      })
  });
}


/*================================================================================================*/
/* @髢峨§繧� */
/*================================================================================================*/
$.fn.popup_close_wind = function () {
  this.each(function (n) {
    $(this)
      .on('click', function () {
        window.open("about:blank", "_self").close();
      })
  });
  return this;
}
